Bug 2741 - Message Display not as expected.
Summary: Message Display not as expected.
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.8.1
Hardware: PC Linux
: P3 minor
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-10-01 11:33 CEST by Owen
Modified: 2012-10-04 08:39 CEST (History)
0 users

See Also:


Attachments
Thunderbird view of message (99.19 KB, application/x-gzip)
2012-10-01 11:33 CEST, Owen
no flags Details
This is the correct file which should have been attached (99.19 KB, application/x-gzip)
2012-10-01 11:37 CEST, Owen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen 2012-10-01 11:33:46 CEST
Created attachment 1163 [details]
Thunderbird view of message

Attachment is 
1. A text file of the email as viewed in Claws
2. A png of the email as received in Thunderbird/15.0.1

I installed both the Dillo and Fancy plugins. As what is presented is not html, those plugins are possibly not relevant.

Of all the emails I receive, this is the only one that does not render correctly and I suspect that the data is generated by a calendering system. When I next see the originator I will ask for more details of how he makes the message.
Comment 1 Owen 2012-10-01 11:37:34 CEST
Created attachment 1164 [details]
This is the correct file which should have been attached 

This is the correct file which should have been attached.
Comment 2 Ricardo Mones 2012-10-02 10:15:30 CEST
From the source mail inside the tarball, it contains an "Content-Type: multipart/alternative; boundary=bcaec50160fb86996904caf98773" but no boundaries at all, neither alternate representations.

See http://tools.ietf.org/html/rfc2046#section-5.1.4

It could be the calendaring system generating this is pretty broken. But as the mail seems to come through a mailing list, it could also be the list software is stripping the parts it doesn't like.
Comment 3 Owen 2012-10-04 08:39:47 CEST
1. I have spoken to the originator of the "offending" message.
   a.  It was created in an iPhone
   b.  Other recipients of his mail have reported similar a display presentation
   c.  The originator is now sending messages via a different platform

2. I suggest you mark this resolved, (I have set it to RESOLVED, but don't know if I can do that. Will see in a second.)

3. Apologies for the noise, I should have done a bit more research before submitting the bug report.